> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an ingestion API key

> Creates a new ingestion API key for a source reader. Returns the key and its secret (only shown once).



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /ingestion-api-keys
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /ingestion-api-keys:
    post:
      tags:
        - Ingestion API Keys
      summary: Create an ingestion API key
      description: >-
        Creates a new ingestion API key for a source reader. Returns the key and
        its secret (only shown once).
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterCreateIngestionAPIKeyRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterCreateIngestionAPIKeyResponse'
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterCreateIngestionAPIKeyRequest:
      properties:
        name:
          type: string
        sourceReaderUUID:
          format: uuid
          type: string
      required:
        - sourceReaderUUID
      type: object
    RouterCreateIngestionAPIKeyResponse:
      properties:
        ingestionAPIKey:
          $ref: '#/components/schemas/PayloadsIngestionAPIKey'
        secret:
          type: string
      required:
        - ingestionAPIKey
        - secret
      type: object
    PayloadsIngestionAPIKey:
      properties:
        companyUUID:
          format: uuid
          type: string
        createdAt:
          format: date-time
          type: string
        expiresAt:
          format: date-time
          nullable: true
          type: string
        last4:
          type: string
        name:
          type: string
        sourceReaderUUID:
          format: uuid
          type: string
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - createdAt
        - updatedAt
        - name
        - last4
        - sourceReaderUUID
        - companyUUID
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````